﻿@{
    ViewBag.Title = "AjaxSample";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    <script type="text/javascript">
        $(function () {
            $(".imageAjax").on("click", function () { imageAjax(); });
        });

        function imageAjax() {
            $.sa.post('@Url.Action("ExceptionAccess", "sample")',
                        {},
                        {
                            "success": function (data) {
                                var varData; if (data != null) {
                                    data = data.Data;
                                    alert(data);
                                }
                            }
                        }
                        , $(".loading")
                        , { type: "image" });
        }
        $(function () {
            $(".spinAjax").on("click", function () { spinAjax(); });
        });


    </script>
}
<h2>
    ExceptionSample</h2>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <div class="list-group gap-top">
                <a class="list-group-item imageAjax" href='#'>imageAjax</a>
            </div>
        </div>
     
    </div>
    <div class="row">
        <span id="callback_1_layer"></span>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="row loading" style="background-color: #ccc; width: 500px; height: 500px;">
            </div>
        </div>
    </div>
</div>
